{ pkgs, ... }:

{
  services.nginx.virtualHosts = {
    "psycho-power-papagei.de" = {
      forceSSL = true;
      enableACME = true;

      root = ./.;

      locations = {
        "/imprint/".alias = "${pkgs.sbruder.imprint}/";
      };
    };
    "www.psycho-power-papagei.de" = {
      forceSSL = true;
      enableACME = true;
      globalRedirect = "psycho-power-papagei.de";
    };
  };
}
