# shinobu

## Hardware

Protectli Vault Pro VP2420.

 * CPU: [Intel Celeron J6412](https://ark.intel.com/content/www/us/en/ark/products/214758/intel-celeron-processor-j6412-1-5m-cache-up-to-2-60-ghz.html) (4 × 2.0 GHz)
 * RAM: [8 GB Crucial DDR4-2666 SO-DIMM `CT8G4SFRA266.M8FRS`](https://www.crucial.com/memory/ddr4/ct8g4sfra266)
 * PSU: Channel Well Technology 60 W (12 V, 3.333 A)
 * SSD: 120 GB Protectli SATA M.2
 * NIC: 4 Intel i225-V (2.5GbE)
 * Wireless: Intel Wireless-AC 9260
 * FINTEK F81232 USB to UART bridge (for easy serial console)
 * Dasharo coreboot firemware

## Purpose

It is the main router for my home network.

## Misc Notes

While it has 16 GB of eMMC (unlike the 8 GB advertised on Protectli’s product page),
I don’t trust the eMMC enough to run the system from it.

## Notes on Wireless (copied from fuuko’s previous README)

TL;DR: Never try to build an AP yourself, just get a dedicated AP and use OpenWrt.

 * Wireless cards are M.2 A+E key and don’t fit in an M.2 E key slot,
   because apparently using USB for Bluetooth is a good idea.
 * Intel Wireless cards only support AP mode on 2.4 GHz [because of broken LAR](https://bugzilla.kernel.org/show_bug.cgi?id=206469).
 * Almost all wireless cards only support one band at the same time (no dual-band AP).
 * Realtek Wireless cards don’t work at all (no wonder).
 * Hostapd’s configuration file is … interesting.
 * Regulatory stuff is fun.

## Name

Shinobu Oshino (previously known as Kiss-Shot Acerola-Orion Heart-Under-Blade) is a Vampire Oddity from the Monogatari Series.
