{ config, lib, pkgs, ... }:
{
  imports = [
    ./hardware-configuration.nix
    ../../modules

    ./services/co2_exporter.nix
    ./services/router.nix
  ];

  sbruder = {
    wireguard.home.enable = true;
    nginx.hardening.enable = true;
  };

  networking.hostName = "shinobu";

  system.stateVersion = "23.05";
}
