{ config, ... }:
{
  services.prometheus.exporters.node = {
    enable = config.sbruder.wireguard.home.enable;
    listenAddress = config.sbruder.wireguard.home.address;
    enabledCollectors = [ "systemd" ];
    disabledCollectors = [ "rapl" ];
  };

  systemd.services.prometheus-node-exporter.after = [ "wireguard-wg-home.service" ];
}
