{ lib, buildGoModule, fetchFromGitHub }:

buildGoModule rec {
  pname = "co2_exporter";
  version = "unstable-2023-07-01";

  src = fetchFromGitHub {
    owner = "sbruder"; # fork of am3o’s original version
    repo = pname;
    rev = "2e1e7af5af6d7e742d69278cf1cb25b08f770e25";
    sha256 = "sha256-64/a6NHzUvHgal30lt3k0vEQBvfEHRR7HZfUReKfO54=";
  };

  subPackages = [ "." ];

  vendorSha256 = "sha256-CMo6FBzw0/OMKEX12oNqhbF/0dRRFR6W3VRp+EU6Q68=";

  oCheck = false; # no tests

  meta = with lib; {
    license = licenses.mit;
    maintainer = with mainatiners; [ sbruder ];
  };
}
