{
  home.file = {
    ".sqliterc".text = ''
      .headers ON
    '';

    ".pylintrc".text = ''
      disable =
        import-error,
        invalid-name,
        missing-docstring,
        too-few-public-methods,
        too-many-arguments,
        too-many-instance-attributes
    '';

    ".gdbinit".text = /* gdb */ ''
      # history
      set history save on
      set history filename ~/.gdb_history

      # safe directories are not managed (include per-project paths)
      source ~/.gdb_safe
    '';
  };

  xdg.configFile = {
    "pycodestyle".text = /* ini */ ''
      [pycodestyle]
      ignore = E265
      max-line-length = 120
    '';
  };
}
