{ pkgs, ... }:
{
  programs.password-store = {
    enable = true;
    package = pkgs.pass-wayland.withExtensions (es: with es; [
      pass-otp
      pass-update
    ]);
    settings = {
      PASSWORD_STORE_DIR = "$HOME/.password-store";
    };
  };
}
